Package com.io7m.idstore.protocol.user.cb

# Class ProtocolIdUv1Serializer

java.lang.Object
com.io7m.idstore.protocol.user.cb.ProtocolIdUv1Serializer

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdUv1Type>`, `com.io7m.cedarbridge.runtime.api.CBProtocolMessageVersionedSerializerType<ProtocolIdUv1Type>`

public final class ProtocolIdUv1Serializer extends Object implements com.io7m.cedarbridge.runtime.api.CBProtocolMessageVersionedSerializerType<ProtocolIdUv1Type>
Protocol `com.io7m.idstore.protocol.user.cb.IdU`, version `1`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProtocolIdUv1Serializer()`
  Construct a serializer.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProtocolIdUv1Type`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  `Class<ProtocolIdUv1Type>`
  `messageClass()`
  `void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, ProtocolIdUv1Type $x)`
  `BigInteger`
  `version()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProtocolIdUv1Serializer

    public ProtocolIdUv1Serializer()
    Construct a serializer.

- ## Method Details

  - ### version

    public BigInteger version()
    Specified by:
      `version` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageVersionedSerializerType<ProtocolIdUv1Type>`

  - ### messageClass

    public Class<ProtocolIdUv1Type> messageClass()
    Specified by:
      `messageClass` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdUv1Type>`

  - ### serialize

    public void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, ProtocolIdUv1Type $x) throws IOException
    Specified by:
      `serialize` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdUv1Type>`
    Throws:
      `IOException`

  - ### deserialize

    public ProtocolIdUv1Type deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Specified by:
      `deserialize` in interface `com.io7m.cedarbridge.runtime.api.CBProtocolMessageSerializerType<ProtocolIdUv1Type>`
    Throws:
      `IOException`